using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using BearWare;

namespace TeamTalk.NET
{
    public partial class ConnectDlg : Form
    {
        TeamTalk4 ttclient;
        Settings settings;

        public ConnectDlg(TeamTalk4 tt, Settings settings)
        {
            ttclient = tt;
            this.settings = settings;
            InitializeComponent();

            ipaddrComboBox.Text = settings.hostaddr;
            tcpportNumericUpDown.Value = settings.tcpport;
            udpportNumericUpDown.Value = settings.udpport;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            settings.hostaddr = ipaddrComboBox.Text;
            settings.tcpport = (int)tcpportNumericUpDown.Value;
            settings.udpport = (int)udpportNumericUpDown.Value;
            if (!ttclient.Connect(ipaddrComboBox.Text, (int)tcpportNumericUpDown.Value,
                                 (int)udpportNumericUpDown.Value, 0, 0))
                MessageBox.Show("Failed to connect");
        }

        private void ConnectDlg_Load(object sender, EventArgs e)
        {
            this.CenterToScreen();
        }
    }
}